# Generated by Django 2.0.5 on 2019-07-11 12:37

from django.db import migrations


def update_device_manufacturer_data(apps, schema_editor):
    DeviceManufacturerData = apps.get_model("core", "DeviceManufacturerData")
    eox = [
        "migration_product_id",
        "EOS_date",
        "serial_number",
        "EOL_date",
        "EOSU_date",
        "EOSWS_date",
        "product_bulletin_url",
        "product_id",
        "EOSA_date",
        "migration_info",
        "migration_product_name",
        "LDOS_date",
    ]
    search = ["service_level", "service_description", "service_sku"]
    coverage = [
        "serial_number",
        "item_description",
        "service_contract_number",
        "product_id",
    ]

    for dmd in DeviceManufacturerData.objects.all():
        data = dmd.data
        eox_data = {}
        for key in eox:
            if data.get(key) or data.get(key) == '':
                eox_data[key] = data.get(key)
                data.pop(key)
            if data.get("eox_data"):
                eox_data.update(data.get("eox_data"))
        data.update({"eox_data": eox_data})

        coverage_data = {}
        for key in coverage:
            if data.get(key) or data.get(key) == '':
                coverage_data[key] = data.get(key)
                data.pop(key)
            if data.get("coverage_data"):
                coverage_data.update(data.get("coverage_data"))
        data.update({"coverage_data": coverage_data})

        search_data = {}
        for key in search:
            if data.get(key) or data.get(key) == '':
                search_data[key] = data.get(key)
                data.pop(key)
            if data.get("search_data"):
                search_data.update(data.get("search_data"))
        data.update({"search_data": search_data})
        dmd.data = data
        dmd.save()


class Migration(migrations.Migration):

    dependencies = [("core", "0045_auto_20190614_0613")]

    operations = [migrations.RunPython(update_device_manufacturer_data)]
